aboutsummaryrefslogtreecommitdiff
path: root/test/error/open-fail-simple.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/error/open-fail-simple.sh')
-rwxr-xr-xtest/error/open-fail-simple.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/test/error/open-fail-simple.sh b/test/error/open-fail-simple.sh
new file mode 100755
index 0000000..c8c67f7
--- /dev/null
+++ b/test/error/open-fail-simple.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+t="$0.tmp"
+
+cp ../input/white.pgm $t
+chmod -r $t
+
+${EXECUTABLE} $t > /dev/null
+ret=$?
+
+rm $t
+
+exit $ret